jogobot-red
===========

Dependencies
------------

* pywikibot-core
* mwparserfromhell

The libraries above need to be installed and configured manualy considering [documentation of pywikibot-core](https://www.mediawiki.org/wiki/Manual:Pywikibot).

* SQLAlchemy
* PyMySQL
* [jogobot-core module](https://git.golderweb.de/wiki/jogobot)

Those can be installed using pip and the _requirements.txt_ file provided with this packet

    pip install -r requirements.txt

Versions
--------
* v1.2.2
  - Fix removed pywikibot config property db_hostname

* v1.2.1
  - Fix [#72](https://git.golderweb.de/wiki/jogobot-red/issues/72)

* v1.2
  - Create a list of redfams/articles missing reddisc notice

        python red.py -task:missingnotice -family:wikipedia

  - jogobot module not longer included

* v1.1.1
  - Check if moved page exists

* v1.1
  - Improved page filter

* v1.0
  - first stable release
  - less debug output
  - fixed problems with article title
* test-v7
  - Fixed problem with url encoded chars in article title

* test-v6
  - jogobot status API enabled (Bot can be disabled onwiki)
  - Fixed problem with space between article title and anchor

* test-v5
  - Feature _markpages_ working in full-automatic mode with _always_-flag

        python red.py -task:markpages -family:wikipedia -always

* test-v4

  - Feature _markpages_ working in semi-automatic mode using command

        python red.py -task:markpages -family:wikipedia

  - Work on specific redfam using param

        -famhash:[sha1-famhash]

  - Use _PyMySQL_ instead of _OurSQL_

  - Correctly parse redfams with articles with leading small character or spaces in wikilink

* test-v3

* test-v2

* test-v1

Bugs
----
[jogobot-red Issues](https://git.golderweb.de/wiki/jogobot-red/issues)

License
-------
GPLv3

Author Information
------------------

Copyright 2018 Jonathan Golder jonathan@golderweb.de https://golderweb.de/

alias Wikipedia.org-User _Jogo.obb_ (https://de.wikipedia.org/Benutzer:Jogo.obb)
